use maud::{Markup, html};
use rocket::{form::Form, http::Status};

#[derive(FromForm, Debug)]
pub struct UserCreate {
    pub user_name: String,
    pub user_surname: String,
    pub user_email: String,
    pub user_password: String,
}

#[post("/user", data = "<user>")]
pub async fn create_user(user: Form<UserCreate>) -> (Status, Markup) {
    // Email domain must be eegsac.com
    let email_domain = user.user_email.split('@').collect::<Vec<&str>>()[1];

    if email_domain != "eegsac.com" {
        return (Status::BadRequest, html! {
            div id="user_create_response" 
                class="bg-red-500 text-white p-2 rounded transition-opacity"
                classes="add opacity-0:5s, add hidden:1s"
            {
                "El dominio del correo electrónico debe ser eegsac.com"
            }
        });
    }



    (Status::Ok, html! {
        div id="user_create_response"
            class="bg-green-700 text-white p-2 rounded transition-opacity"
            classes="add opacity-0:5s, add hidden:1s"
            // Reset the form state
            x-init="user_name = ''; user_surname = ''; user_email = ''; user_password = '';"
        {
            "Registrado con éxito"
        }
    })
}
