use maud::{html, Markup, DOCTYPE};

pub mod fragments;
pub mod login;
pub mod register;

pub fn default_skeleton(content: Markup) -> Markup {
    html! {
        (DOCTYPE)
        html lang="es" {
            head {
                title { "EEGSAC" }
                link rel="stylesheet" type="text/css" href="/static/css/output.css";
                link rel="icon" type="image/png" href="/static/img/favicon.png";
                script defer src="https://unpkg.com/htmx.org@1.9.10" crossorigin="anonymous" {}
                script defer src="https://unpkg.com/htmx.org/dist/ext/response-targets.js" {}
                script defer src="https://cdn.jsdelivr.net/npm/alpinejs@3.x.x/dist/cdn.min.js" {}
                script defer src="https://unpkg.com/htmx.org/dist/ext/class-tools.js" {}
                script defer src="https://unpkg.com/htmx.org/dist/ext/loading-states.js" {}
            }
            body hx-ext="response-targets, class-tools, loading-states" {
                (content)
            }
        }
    }
}
