use maud::{html, Markup};

use super::default_skeleton;

pub fn register() -> Markup {
    default_skeleton(html! {
        h1 { "Registrar nuevo usuario" }
        div
            x-data="{user_name: '', user_surname: '', user_email: '', user_password: ''}"
        {                
            form
                hx-post="/f/user"
                hx-target="#user_create_response"
                hx-target-400="#user_create_response"
                hx-swap="outerHTML"
            {
                input class="bg-c-bg text-c-on-bg border border-c-on-bg disabled:opacity-50"
                    required type="text" name="user_name" placeholder="Nombres"
                    data-loading-disable x-model="user_name";
                br;
                input class="bg-c-bg text-c-on-bg border border-c-on-bg disabled:opacity-50"
                    required type="text" name="user_surname" placeholder="Apellidos"
                    data-loading-disable x-model="user_surname";
                br;
                input class="bg-c-bg text-c-on-bg border border-c-on-bg disabled:opacity-50"
                    required type="email" name="user_email" placeholder="Correo electrónico"
                    data-loading-disable x-model="user_email";
                br;
                input class="bg-c-bg text-c-on-bg border border-c-on-bg disabled:opacity-50"
                    required type="password" name="user_password" placeholder="Contraseña"
                    data-loading-disable x-model="user_password";
                br;
                button
                    class="bg-pink-300 text-black py-2 px-4 rounded-full cursor-pointer inline-block my-2 disabled:opacity-50"
                    data-loading-class="animate-pulse" type="submit" 
                {
                    "Registrar"
                }
            }
            br;
            div id="user_create_response" {}
        }
    })
}

